%  Copyright (C) 2003 David Roundy
%
%  This program is free software; you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation; either version 2, or (at your option)
%  any later version.
%
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License for more details.
%
%  You should have received a copy of the GNU General Public License
%  along with this program; see the file COPYING.  If not, write to
%  the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
%  Boston, MA 02110-1301, USA.


\begin{code}
module PrintPatch ( printPatch, contextualPrintPatch,
                    printPatchPager
                  ) where

import Patch ( Patch, showContextPatch, showPatch )
import SlurpDirectory ( Slurpy )
import Printer ( putDocLnWith, hPutDocLnWith )
import ColourPrinter ( fancyPrinters )
import Lock ( withOpenTemp )
import System.IO ( hFlush )
import DarcsArguments ( view_file )
\end{code}


\begin{code}

printPatch :: Patch -> IO ()
printPatch p = putDocLnWith fancyPrinters $ showPatch p

printPatchPager :: Patch -> IO ()
printPatchPager p = withOpenTemp $ \ (h,f) -> do
                      hPutDocLnWith fancyPrinters h $ showPatch p
                      hFlush h
                      view_file f
                      return ()

contextualPrintPatch :: Slurpy -> Patch -> IO ()
contextualPrintPatch s p = putDocLnWith fancyPrinters $ showContextPatch s p

\end{code}
